> ## Documentation Index
> Fetch the complete documentation index at: https://docs.relayai.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Models

> List trained models for the tenant.



## OpenAPI

````yaml get /api/v1/models
openapi: 3.1.0
info:
  title: Relay API
  description: Voice AI Artifact Detection Platform
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/models:
    get:
      tags:
        - training
      summary: List Models
      description: List trained models for the tenant.
      operationId: list_models_api_v1_models_get
      parameters:
        - name: is_active
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Is Active
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ModelListResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ModelResponse'
          type: array
          title: Items
        total:
          type: integer
          title: Total
      type: object
      required:
        - items
        - total
      title: ModelListResponse
      description: List of models.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ModelResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        tenant_id:
          type: string
          format: uuid
          title: Tenant Id
        training_job_id:
          type: string
          format: uuid
          title: Training Job Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        artifact_types:
          items:
            type: string
          type: array
          title: Artifact Types
        s3_key:
          type: string
          title: S3 Key
        model_size_bytes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Model Size Bytes
        architecture:
          additionalProperties: true
          type: object
          title: Architecture
        eval_metrics:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Eval Metrics
        is_active:
          type: boolean
          title: Is Active
        created_at:
          type: string
          format: date-time
          title: Created At
        archived_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Archived At
      type: object
      required:
        - id
        - tenant_id
        - training_job_id
        - name
        - description
        - artifact_types
        - s3_key
        - model_size_bytes
        - architecture
        - eval_metrics
        - is_active
        - created_at
        - archived_at
      title: ModelResponse
      description: Model response.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````